Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.functions.neural
Class SigmoidUnit

    java.lang.Object
      weka.classifiers.functions.neural.SigmoidUnit

All Implemented Interfaces:
  java.io.Serializable, NeuralMethod

    public class SigmoidUnit

extends java.lang.Object
implements NeuralMethod

This can be used by the neuralnode to perform all it's computations (as a sigmoid unit).

Version:
  $Revision: 1.4 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`SigmoidUnit()`

Method Summary
`double` | `errorValue(NeuralNode node)` This function calculates what the error value should be.
`double` | `outputValue(NeuralNode node)` This function calculates what the output value should be.
`void` | `updateWeights(NeuralNode node, double learn, double momentum)` This function will calculate what the change in weights should be and also update them.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigmoidUnit

    public SigmoidUnit()

Method Detail

### outputValue

    public double outputValue(NeuralNode node)

  This function calculates what the output value should be.

  Specified by:
    `outputValue` in interface `NeuralMethod`
  Parameters:
    `node` - The node to calculate the value for.
  Returns:
    The value.

### errorValue

    public double errorValue(NeuralNode node)

  This function calculates what the error value should be.

  Specified by:
    `errorValue` in interface `NeuralMethod`
  Parameters:
    `node` - The node to calculate the error for.
  Returns:
    The error.

### updateWeights

    public void updateWeights(NeuralNode node,
                              double learn,
                              double momentum)

  This function will calculate what the change in weights should be and also update them.

  Specified by:
    `updateWeights` in interface `NeuralMethod`
  Parameters:
    `node` - The node to update the weights for.
    `learn` - The learning rate to use.
    `momentum` - The momentum to use.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD